> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Presigned Upload URL

> Generate a presigned URL for direct S3 file upload



## OpenAPI

````yaml post /connectors/files/upload/request
openapi: 3.0.1
info:
  title: Connectivity API
  description: >
    The Alloy Connectivity API enables you to create and manage MCP (Model
    Context Protocol) servers that provide secure, controlled access to platform
    integrations for AI assistants.
  version: '1.0'
  contact:
    name: Alloy Support
    email: support@runalloy.com
    url: https://runalloy.com
servers:
  - url: https://production.runalloy.com
    description: Production server
security: []
tags:
  - name: Connectors
    description: Get connector details and execute actions
  - name: Credentials
    description: Manage credentials for connectors
  - name: Files
    description: Manage file uploads and downloads
  - name: Users
    description: Manage users
paths:
  /connectors/files/upload/request:
    post:
      tags:
        - Files
      summary: Generate Presigned Upload URL
      description: Generate a presigned URL for direct S3 file upload
      operationId: generate-presigned-upload-url
      parameters:
        - name: x-api-version
          in: header
          required: true
          description: API version
          schema:
            type: string
            default: 2025-09
          example: 2025-09
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - filename
                - mimeType
                - md5
              properties:
                filename:
                  type: string
                  description: Name of the file to be uploaded
                  example: document.pdf
                mimeType:
                  type: string
                  description: MIME type of the file
                  example: application/pdf
                md5:
                  type: string
                  description: MD5 hash of the file (hex or base64 format)
                  example: 2942bfabb3d05332b66eb128e0842cff
      responses:
        '200':
          description: Presigned URL generated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  presignedUrl:
                    type: object
                    properties:
                      md5:
                        type: string
                        description: MD5 hash in base64 format
                        example: KUK/q7PQUzK2brEo4IQs/w==
                      presignedUrl:
                        type: string
                        description: Presigned URL for uploading
                        example: >-
                          https://alloy-user-files.s3.us-east-1.amazonaws.com/651eb6e11d156e0d7a42c59d_document.pdf
                      type:
                        type: string
                        enum:
                          - new
                          - existing
                        description: File status
                        example: new
                      s3Key:
                        type: string
                        description: S3 key for the file
                        example: 651eb6e11d156e0d7a42c59d_document.pdf
              example:
                presignedUrl:
                  md5: KUK/q7PQUzK2brEo4IQs/w==
                  presignedUrl: >-
                    https://alloy-user-files.s3.us-east-1.amazonaws.com/651eb6e11d156e0d7a42c59d_document.pdf
                  type: new
                  s3Key: 651eb6e11d156e0d7a42c59d_document.pdf
        '400':
          description: Invalid input
        '401':
          description: Unauthorized
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Bearer

````